AI Sync

Intelligence

Update Auto Rizz Settings

PATCHhttps://app.rizzdial.com/api/ai/agent/v2/manage/intelligence/autorizz/{agent_id}
Update Auto Rizz Settings
curl --request PATCH \
  --url https://app.rizzdial.com/api/ai/agent/v2/manage/intelligence/autorizz/agent_123 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "backchannel_words": "1",
  "enable_backchannel": true,
  "backchannel_words.*": "value",
  "backchannel_frequency": 0
}'
{
  "data": {
    "agent_id": "agent_123"
  },
  "message": "Saved",
  "success": true
}

Update Auto Rizz Settings#

Update Auto Rizz Settings. Use the public agent id from List Agents. This path only accepts agents allowed by the company package.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

agent_idstringpathrequired

Public agent id from List Agents

enable_backchannelbooleanbody

send only when changing this field

backchannel_frequencynumberbody

One of: 0. min 0. max 1. send only when changing this field

backchannel_wordsarraybody

One of: 1. min 1. send only when changing this field

backchannel_words.*stringbodyrequired

max 100

curl --request PATCH \
 --url https://app.rizzdial.com/api/ai/agent/v2/manage/intelligence/autorizz/agent_123 \
 --header 'Authorization: Bearer {{bearer_token}}' \
 --header 'Content-Type: application/json' \
 --data '{"enable_backchannel":true,"backchannel_frequency":"0","backchannel_words":[],"backchannel_words.*":"value"}'
successboolean

true when the call succeeds. Some list responses use status: success instead

dataobject

The saved record, or the list of records